# Standard Ethernet

Ethernet è uno standard che definisce le regole per l'invio e la ricezione dei dati tra dispositivi all'interno di una rete LAN (Local Area Network). Esso opera a due livelli del modello OSI:

1. **Livello 1 – Fisico (Physical Layer)**
   - Specifica le caratteristiche fisiche dei componenti, come cavi, connettori, interfacce, moduli di trasmissione, ecc.
   - Nel contesto delle reti cablate (*wired*) la norma IEEE 802.3 definisce tutti gli aspetti relativi alla trasmissione dei segnali su cavi (reti cablate).
   - Nel contesto delle reti *wireless* la norma IEEE 802.11 si occupa delle caratteristiche della trasmissione senza fili, garantendo la compatibilità e le modalità comunicative delle reti wireless.

2. **Livello 2 – Data Link Layer**
   - Definisce la struttura dei pacchetti (*frame*) che viaggiano in rete.
   - Stabilisce i metodi di indirizzamento attraverso l’uso dei MAC-address

## Cavi fisici

![cavo-ethernet](/asset/img/cavo-ethernet.png)

Esistono diversi cavi con diverse lunghezze e velocità supportate, in base alla tecnologia utilizzata.

Possiamo classificare i cavi, in base alla velocità supportata, in:

- Ethernet: fino a 10 Mbps
- Fast Ethernet: fino a 100 Mbps
- Gigabit Ethernet: fino a 1000 Mbps (1 Gbps)
- 10Gigabit Ethernet: fino a 10 Gbps
